#!/bin/sh
# Test suite for java examples.
#
# Copyright (C) 2004  Alan W. Irwin
# Copyright (C) 2004  Andrew Ross
#
# This file is part of PLplot.
#
# PLplot is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Library Public License as published
# by the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# PLplot is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with PLplot; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# This is called from plplot-test.sh with $javadir, $device, $dsuffix,
# and $options defined.
# N.B. $PLPLOT_CLASSPATH must be defined properly so it includes a 
# reference to plplot.jar. If not we assume in installation location.
# The path must point to the java command for this to work. 

# To build the java examples before running this script do the following:
# pushd $javadir; make; popd

# Do the standard non-interactive examples.
# skip 14 because it requires two output files.
# skip 19 because it is not implemented
# skip 17, and 20 because they are interactive and not implemented.
# skip 21 because it delivers variable results depending on computer timing
# and load and is not implemented.
#
# Set up option to point to java bindings jar file and wrapper if needed.
if test -n "$PLPLOT_JAVA_WRAP_DIR" ; then
  JAVA_TEST_OPTS="-Dplplot.libdir=$PLPLOT_JAVA_WRAP_DIR"
fi
if test -z "$PLPLOT_CLASSPATH" ; then
  PLPLOT_CLASSPATH=/usr/share/java/plplot.jar
fi

for index in 01 02 03 04 05 06 07 08 09 10 11 12 13 15 16 18 22 23; do
  java -classpath ${javadir}:${PLPLOT_CLASSPATH} ${JAVA_TEST_OPTS} plplot.examples.x${index} -dev $device -o ${OUTPUT_DIR}/x${index}j.$dsuffix $options
done
